Edit section links do not display while using diff=curr
Closed, ResolvedPublic

Description

Author: jelle.zijlstra

Description:
In pages like http://en.wikipedia.org/w/index.php?title=User_talk:Redrose64&diff=curr , no editsection links are shown, even though the page displayed is (by definition) the current version. Curiously, there are editsection links on http://en.wikipedia.org/w/index.php?title=User%20talk:Ucucha&diff=curr .

These links used to appear until earlier today. The bug is presumably caused by r108622, which merged r100756 and r92703 into 1.18wmf1. Not sure which of those is the culprit.


Version: unspecified
Severity: normal

bzimport added a project: MediaWiki-Interface.Via ConduitNov 22 2014, 12:08 AM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz33671.
bzimport created this task.Via LegacyJan 11 2012, 9:57 PM
Kipod added a comment.Via ConduitJan 16 2012, 3:09 PM

for some very curious reason, this seem to be broweser-dependent: the same URL shows the editsection links with chrome and IE8, but they disapear with FF and IE9.

bzimport added a comment.Via ConduitJan 24 2012, 7:30 PM

sandrobt.wiki wrote:

The same in it.wiki, this problem is pretty annoying, since it happens quite often to have a look to the last change of a page and see there is some corrections needed.

bzimport added a comment.Via ConduitJan 25 2012, 5:06 PM

Amalthea.wikimedia wrote:

The edit links seem to be displayed correctly if a Special page is transcluded onto the page, like Ucucha does. Which is odd.

See two test pages, the second transcludes a special page and shows the section edit links:
https://en.wikipedia.org/wiki/User:Amalthea/test19?diff=cur
https://en.wikipedia.org/wiki/User:Amalthea/test20?diff=cur

Adding demon since I *guess* that this is caused by r92703, hopefully he can say.

bzimport added a comment.Via ConduitJan 29 2012, 9:25 PM

mr.heat wrote:

Anybody working on this? I never get the edit-section links when I visit the pages on my watchlist. It should not be to hard to track this down since it *always* happens, at least in the German Wikipedia. Steps to reproduce:

  • Click "Random page".
  • Click "View history".
  • Click "prev" to see the diff for the last edit.

No edit-section links.

MrBlueSky added a comment.Via ConduitJan 29 2012, 10:45 PM

Looks like its fixed in 1.19. On http://labs.wikimedia.beta.wmflabs.org/wiki/Main_Page i get edit-sections on latest diffs.

Anomie added a comment.Via ConduitFeb 6 2012, 5:46 PM

(In reply to comment #6)

Looks like its fixed in 1.19. On
http://labs.wikimedia.beta.wmflabs.org/wiki/Main_Page i get edit-sections on
latest diffs.

Looks like it was (accidentally?) fixed in r103001 and r103002. Those revisions made the diff code create its own ParserOptions from its own context, instead of getting the ParserOptions from OutputPage which (since r92703) will always hide the section edit links.

aaron added a comment.Via ConduitMar 14 2012, 12:41 AM

I can't reproduce this on enwiki.

Matanya added a comment.Via ConduitMar 14 2012, 12:44 AM

fixed in 1.19 so you can't reproduce anymore.

Anomie added a comment.Via ConduitJun 9 2012, 3:45 PM

Since this is widely reported as fixed in 1.19, let's mark it that way.

Add Comment